# mpi4py.MPI.Session

class mpi4py.MPI.Session

  Bases: `object`

  Session context.

  static __new__(cls, session=None)
    Parameters:

      session (Session | None)

    Return type:

      Self

  Methods Summary

  `Attach_buffer`(buf) | Attach a user-provided buffer for sending in buffered mode.
  `Call_errhandler`(errorcode) | Call the error handler installed on a session.
  `Create_errhandler`(errhandler_fn) | Create a new error handler for sessions.
  `Create_group`(pset_name) | Create a new group from session and process set.
  `Detach_buffer`() | Remove an existing attached buffer.
  `Finalize`() | Finalize a session.
  `Flush_buffer`() | Block until all buffered messages have been transmitted.
  `Get_errhandler`() | Get the error handler for a session.
  `Get_info`() | Return the current hints for a session.
  `Get_nth_pset`(n[, info]) | Name of the n-th process set.
  `Get_num_psets`([info]) | Number of available process sets.
  `Get_pset_info`(pset_name) | Return the current hints for a session and process set.
  `Iflush_buffer`() | Nonblocking flush for buffered messages.
  `Init`([info, errhandler]) | Create a new session.
  `Set_errhandler`(errhandler) | Set the error handler for a session.
  `f2py`(arg) |
  `free`() | Call `Finalize` if not null.
  `fromhandle`(handle) | Create object from MPI handle.
  `fromint`(arg, /) | Translate integer handle to object.
  `py2f`() |
  `toint`() | Translate object to integer handle.

  Attributes Summary

  `handle` | MPI handle.

  Methods Documentation

  Attach_buffer(buf)

    Attach a user-provided buffer for sending in buffered mode.

    Parameters:

      buf (Buffer | None)

    Return type:

      None

  Call_errhandler(errorcode)

    Call the error handler installed on a session.

    Parameters:

      errorcode (int)

    Return type:

      None

  classmethod Create_errhandler(errhandler_fn)

    Create a new error handler for sessions.

    Parameters:

      errhandler_fn (Callable[[Session, int], None])

    Return type:

      Errhandler

  Create_group(pset_name)

    Create a new group from session and process set.

    Parameters:

      pset_name (str)

    Return type:

      Group

  Detach_buffer()

    Remove an existing attached buffer.

    Return type:

      Buffer | None

  Finalize()

    Finalize a session.

    Return type:

      None

  Flush_buffer()

    Block until all buffered messages have been transmitted.

    Return type:

      None

  Get_errhandler()

    Get the error handler for a session.

    Return type:

      Errhandler

  Get_info()

    Return the current hints for a session.

    Return type:

      Info

  Get_nth_pset(n, info=INFO_NULL)

    Name of the n-th process set.

    Parameters:

      - n (int)

      - info (Info)

    Return type:

      str

  Get_num_psets(info=INFO_NULL)

    Number of available process sets.

    Parameters:

      info (Info)

    Return type:

      int

  Get_pset_info(pset_name)

    Return the current hints for a session and process set.

    Parameters:

      pset_name (str)

    Return type:

      Info

  Iflush_buffer()

    Nonblocking flush for buffered messages.

    Return type:

      Request

  classmethod Init(info=INFO_NULL, errhandler=None)

    Create a new session.

    Parameters:

      - info (Info)

      - errhandler (Errhandler | None)

    Return type:

      Self

  Set_errhandler(errhandler)

    Set the error handler for a session.

    Parameters:

      errhandler (Errhandler)

    Return type:

      None

  classmethod f2py(arg)
    Parameters:

      arg (int)

    Return type:

      Session

  free()

    Call `Finalize` if not null.

    Return type:

      None

  classmethod fromhandle(handle)

    Create object from MPI handle.

    Parameters:

      handle (int)

    Return type:

      Session

  classmethod fromint(arg, /)

    Translate integer handle to object.

    Parameters:

      arg (int)

    Return type:

      Session

  py2f()
    Return type:

      int

  toint()

    Translate object to integer handle.

    Return type:

      int

  Attributes Documentation

  handle

    MPI handle.